#pragma once

#include <SDL_rect.h>
#include <SDL_events.h>
#include <vector>

const SDL_Point SCREEN_SIZE{800, 800};

class Game {
private:
    std::vector<const char*> all_words;
    std::vector<std::string> guessed;
    std::string word;

public:
    static void Run();

    Game();

    void handle_key(SDL_Keycode event);

private:
    void select_word();
};

